Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.bridge.connector.jms
Class JMSEmbeddedConnector

    java.lang.Object
      kieker.tools.bridge.connector.AbstractConnector
          kieker.tools.bridge.connector.jms.JMSClientConnector
              kieker.tools.bridge.connector.jms.JMSEmbeddedConnector

All Implemented Interfaces:
  IServiceConnector

    public class JMSEmbeddedConnector

extends JMSClientConnector

JMSClient with an embedded JMS server.

Since:
  1.8
Author:
  Reiner Jung

Field Summary
`static String` | `PORT` Property name for the configuration property for the port of the embedded JMS server.

Fields inherited from class kieker.tools.bridge.connector.jms.JMSClientConnector
`FACTORY_LOOKUP_NAME, KIEKER_DATA_BRIDGE_READ_QUEUE, PASSWORD, URI, USERNAME`

Constructor Summary
`JMSEmbeddedConnector(Configuration configuration, ConcurrentMap<Integer,LookupEntity> lookupEntityMap)` Construct a new JMS service consumer and an embedded JMS service.

Method Summary
`void` | `close()` Close the JMS connection.
`void` | `initialize()` Initialize the JMS connection to read from a JMS queue.

Methods inherited from class kieker.tools.bridge.connector.jms.JMSClientConnector
`deserializeNextRecord`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PORT

    public static final String PORT

  Property name for the configuration property for the port of the embedded JMS server.

Constructor Detail

### JMSEmbeddedConnector

    public JMSEmbeddedConnector(Configuration configuration,
                                ConcurrentMap<Integer,LookupEntity> lookupEntityMap)

  Construct a new JMS service consumer and an embedded JMS service.

  Parameters:
    `configuration` - Kieker configuration including setup for connectors
    `lookupEntityMap` - IMonitoringRecord constructor and TYPES-array to id map
  Throws:
    `ConnectorDataTransmissionException`

Method Detail

### initialize

    public void initialize()
                    throws ConnectorDataTransmissionException

  Description copied from class: `JMSClientConnector`
  Initialize the JMS connection to read from a JMS queue.

  Specified by:
    `initialize` in interface `IServiceConnector`
  Overrides:
    `initialize` in class `JMSClientConnector`
  Throws:
    `ConnectorDataTransmissionException` - if any JMSException occurs

### close

    public void close()
               throws ConnectorDataTransmissionException

  Description copied from class: `JMSClientConnector`
  Close the JMS connection.

  Specified by:
    `close` in interface `IServiceConnector`
  Overrides:
    `close` in class `JMSClientConnector`
  Throws:
    `ConnectorDataTransmissionException` - if any JMSException occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net